Subject: Re: [PATCH] Rename {git- => git}remote-helpers.txt

From: Jonathan Nieder <[email-masked]>
Date: Thu, 31 Jan 2013 15:13:41 -0800

Junio C Hamano wrote:
> Jonathan Nieder <[email-masked]> writes:

>> Yes.  I have thought for years that it should be git-remote-helpers,
>> that "git help" should be tweaked to look for that, and that the
>> existing gitrepository-layout and friends should be replaced with
>> redirects.
>
> Because of the "git help" look up rules, we cannot have two pages
> that only differ at the dash (or absense of it) immediately after
> 'git'; e.g. one about the concept of 'frotz' in the context of Git,
> i.e. "man gitfrotz", and the other about the subcommand to perform
> 'frotz', i.e. "man git-frotz".  The way to refer to these two pages
> are both "git help frotz".

Exactly.  Hence the disambiguating dash-versus-nondash convention buys
us nothing.